# DocumentDetectionStatus enum

The status of the document detection.

Inheritance
  - Object
  - Enum
  - DocumentDetectionStatus

## Constructors

DocumentDetectionStatus()
  const

## Values

OK → const DocumentDetectionStatus

  A document has been detected successfully.

OK_BUT_TOO_SMALL → const DocumentDetectionStatus

  A document has been detected but it is too small.

OK_BUT_BAD_ANGLES → const DocumentDetectionStatus

  A document has been detected but it has bad angles.

OK_BUT_BAD_ASPECT_RATIO → const DocumentDetectionStatus

  A document has been detected but it has a bad aspect ratio.

OK_BUT_OFF_CENTER → const DocumentDetectionStatus

  A document has been detected but its center is too far off.

ERROR_NOTHING_DETECTED → const DocumentDetectionStatus

  No document has been detected.

ERROR_TOO_DARK → const DocumentDetectionStatus

  No document has been detected, the image might be too dark.

ERROR_TOO_NOISY → const DocumentDetectionStatus

  No document has been detected, the image might be too noisy.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentDetectionStatus>
  A constant List of the values in this enum, in order of their declaration.